From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tagpy/
Date: Sun, 21 Feb 2021 18:29:59 +0000 (UTC) [thread overview]
Message-ID: <1613932180.06d25c7dd6203bf3def98603b0f77bd0bc58e7dd.soap@gentoo> (raw)
commit: 06d25c7dd6203bf3def98603b0f77bd0bc58e7dd
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 18:29:40 2021 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 18:29:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06d25c7d
dev-python/tagpy: Add python 3.9
* Also add testsuite
Closes: https://bugs.gentoo.org/748924
Closes: https://bugs.gentoo.org/767991
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-python/tagpy/tagpy-2018.1-r1.ebuild | 26 ++++++++++++++++----------
1 file changed, 16 insertions(+), 10 deletions(-)
diff --git a/dev-python/tagpy/tagpy-2018.1-r1.ebuild b/dev-python/tagpy/tagpy-2018.1-r1.ebuild
index 35daa217ce9..56a858f2cc9 100644
--- a/dev-python/tagpy/tagpy-2018.1-r1.ebuild
+++ b/dev-python/tagpy/tagpy-2018.1-r1.ebuild
@@ -1,15 +1,15 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_IN_SOURCE_BUILD=1
-DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1
DESCRIPTION="Python Bindings for TagLib"
-HOMEPAGE="https://mathema.tician.de//software/tagpy
+HOMEPAGE="
+ https://mathema.tician.de//software/tagpy
https://pypi.org/project/tagpy/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
@@ -20,11 +20,12 @@ IUSE="examples"
RDEPEND="
>=dev-libs/boost-1.70:=[python,threads,${PYTHON_USEDEP}]
- >=media-libs/taglib-1.8
-"
+ >=media-libs/taglib-1.8"
DEPEND="${RDEPEND}"
-PATCHES=( "${FILESDIR}/${P}-taglib-1.8.patch" )
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}"/${P}-taglib-1.8.patch )
python_prepare_all() {
cp "${FILESDIR}"/${P}-readme.rst README.rst || die
@@ -34,15 +35,20 @@ python_prepare_all() {
python_configure() {
local boostpy_ver="${EPYTHON#python}"
- "${PYTHON}" configure.py \
- --taglib-inc-dir="${EPREFIX}/usr/include/taglib" \
+ "${EPYTHON}" configure.py \
+ --taglib-inc-dir="${ESYSROOT}"/usr/include/taglib \
--boost-python-libname="boost_python${boostpy_ver/\.}"
}
+python_test() {
+ cd test || die
+ "${EPYTHON}" *.py || die "Testsuite failed under ${EPYTHON}"
+}
+
python_install_all() {
if use examples; then
docinto examples
- dodoc -r test/*
+ dodoc -r test/.
fi
distutils-r1_python_install_all
next reply other threads:[~2021-02-21 18:30 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-21 18:29 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 4:15 [gentoo-commits] repo/gentoo:master commit in: dev-python/tagpy/ Sam James
2025-02-15 19:39 Jakov Smolić
2025-02-15 10:16 Arthur Zamarin
2025-02-15 9:22 Arthur Zamarin
2025-01-14 6:59 Michał Górny
2025-01-11 11:48 Michał Górny
2025-01-11 11:25 Sam James
2025-01-11 9:21 Sam James
2025-01-11 9:05 Sam James
2025-01-11 8:42 Arthur Zamarin
2023-05-04 16:56 Michał Górny
2023-02-16 6:04 Sam James
2023-02-16 5:01 Sam James
2023-02-12 20:24 Jakov Smolić
2023-02-12 20:24 Jakov Smolić
2023-01-04 14:15 Michał Górny
2022-06-07 7:15 Michał Górny
2022-06-07 6:33 Agostino Sarubbo
2022-06-07 6:32 Agostino Sarubbo
2022-06-07 5:22 Sam James
2022-06-07 5:21 Sam James
2022-05-31 1:56 Sam James
2020-04-18 19:33 Andreas Sturmlechner
2020-04-18 19:33 Andreas Sturmlechner
2019-08-13 15:56 Andreas Sturmlechner
2019-08-13 10:32 Agostino Sarubbo
2019-08-13 10:30 Agostino Sarubbo
2019-08-12 8:02 Agostino Sarubbo
2019-08-11 23:03 Thomas Deutschmann
2018-04-22 18:00 Michał Górny
2018-03-17 21:41 Michał Górny
2016-12-28 11:27 Aaron Bauman
2016-10-24 13:32 Pacho Ramos
2016-05-05 21:11 David Seifert
2016-05-05 21:11 David Seifert
2016-02-28 14:30 Maxim Koltsov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1613932180.06d25c7dd6203bf3def98603b0f77bd0bc58e7dd.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox